using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Shlukova_Analyza_BP
{
    public partial class Form4 : Form
    {
        public Form4()
        {
            InitializeComponent();
        }
        public void PostupString(string str)
        {
            label1.Text = str;
        }
        public void UpdateProgressBar()
        {
            progressBar1.Style = ProgressBarStyle.Marquee;
            progressBar1.MarqueeAnimationSpeed = 30;
        }
        public void Hotovo()
        {
            progressBar1.Style = ProgressBarStyle.Continuous;
            progressBar1.Value = 100;
            label1.Text = "Hotovo";
        }
        public void iterace(string str)
        {
            lblIteraceProgress.Text = str;
        }
        public void ucelFce(string str)
        {
            lblUcelFce.Text = str;
        }
        public void reportRadek(string str)
        {
            richTextBox1.Text = str + "\r\n" + richTextBox1.Text;
        }
        public void nacitani()
        {
            Size = new Size(300,110);
        }
        public void hier()
        {
            Size = new Size(300, 110);
            lblPrcnt.Visible = true;
            progressBar1.Style = ProgressBarStyle.Continuous;
        }
        public void reportProcenta(int i)
        {
            lblPrcnt.Text = string.Format("{0} %", i);
            progressBar1.Value = i;
            if (progressBar1.Value != 0)
            {
                progressBar1.Value -= 1; // tríček, aby nebyl delay
                progressBar1.Value += 1;
            }
        }
    }
}
